Invoice member — RefundReceipt is also accepted — plus optional InvoiceItem, Payment, etc.).Invoice.subscription_id to the source invoice being refunded (despite the name, this is not a subscription). That source invoice must be an issued (non-draft) standard invoice.| Outcome | Item fields |
|---|---|
| Success | result = successful, code = 202, id, invoice_number |
| Failure | message, validation_errors (and sometimes error_type / extra_data) |
200 regardless of individual outcomes, so you must inspect each element. Per-element field and defaulting behaviour is identical to Add New Refund Receipt — see that endpoint for the full field reference.curl --location --globoff 'https://.daftra.com/api2/invoices/add_bulk_refund_receipts.json' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"Invoice": {
"subscription_id": 2415,
"date": "2026-06-17",
"currency_code": "USD"
},
"InvoiceItem": [
{
"item": "Consulting service",
"unit_price": 100,
"quantity": 1,
"product_id": 12
}
],
"Payment": [
{
"payment_method": "cash",
"amount": 100
}
]
}
]'[
{
"result": "successful",
"code": 202,
"id": 2416,
"invoice_number": "RR-0001",
"message": "Invoice not found",
"validation_errors": [
"Invoice not found"
],
"error_type": "string",
"extra_data": [
null
]
}
]